Paperfuldocs

PapersGraphNodes

Get Paper Node Context

GET
/papers/{id}/nodes/{nodeId}/context

Returns the context of a paper node, including surrounding nodes.

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

nodeId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
id*string

Query Parameters

before?integer
Range0 <= value <= 12
Default6
after?integer
Range0 <= value <= 12
Default6

Response Body

application/json

curl -X GET "https://example.com/papers/string/nodes/497f6eca-6276-4993-bfeb-53cbbbba6f08/context"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "position": 0,  "page": 0,  "type": "unknown",  "bbox": {    "x": 0,    "y": 0,    "w": 0,    "h": 0  },  "created": "2019-08-24T14:15:22Z"}